<?php

namespace App\Providers;

use App\Models\Activity;
use App\Models\CashRecord;
use App\Models\Post;
use App\Models\User;
use App\Models\Vote;
use App\Observers\ActivityObserver;
use App\Observers\CashRecordObserver;
use App\Observers\PostObserver;
use App\Observers\UserObserver;
use App\Observers\VoteObserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    public function boot(): void
    {
        User::observe(UserObserver::class);
        CashRecord::observe(CashRecordObserver::class);
        Activity::observe(ActivityObserver::class);
        Vote::observe(VoteObserver::class);
        Post::observe(PostObserver::class);
    }
}
